Package com.datecs.fiscalprinter.SDK

# Class FiscalExceptionV1

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.datecs.fiscalprinter.SDK.FiscalExceptionV1

All Implemented Interfaces:
  `java.io.Serializable`

    public final class FiscalExceptionV1
    extends java.lang.Exception

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ERR_ALLOWED_AS_PLU_ONLY` |
  `static int` | `ERR_BEGIN_CMD_NEEDED` |
  `static int` | `ERR_CANNOT_FORMAT_EJ` |
  `static int` | `ERR_CANNOT_FORMAT_VALID_EJ` |
  `static int` | `ERR_CANNOT_OPEN_DOCUMENT` |
  `static int` | `ERR_CANNOT_READ_EJ` |
  `static int` | `ERR_CANNOT_WRITE_EJ` |
  `static int` | `ERR_CASH_ONLY_ALLOWED` |
  `static int` | `ERR_CONTAINS_FISCAL` |
  `static int` | `ERR_CUTTER_ERROR` |
  `static int` | `ERR_DATETIME_NOT_SET` |
  `static int` | `ERR_DISCOUNT_TOO_BIG` |
  `static int` | `ERR_DPT_NOT_EXISTS` |
  `static int` | `ERR_EJ_DOC_NOT_FOUND` |
  `static int` | `ERR_EJ_NUMBER_TOO_BIG` |
  `static int` | `ERR_EL_JOURNAL_ERROR` |
  `static int` | `ERR_END_CMD_NEEDED` |
  `static int` | `ERR_EVERYTHING_IS_PAID` |
  `static int` | `ERR_FM_DISCONNECTED` |
  `static int` | `ERR_FM_NOT_FORMATTED` |
  `static int` | `ERR_FM_READ_ERROR` |
  `static int` | `ERR_FM_READ_ONLY` |
  `static int` | `ERR_FUEL_DATA_INVALID` |
  `static int` | `ERR_FUEL_STORNO` |
  `static int` | `ERR_FW_TOO_BIG` |
  `static int` | `ERR_INVALID_COMMAND` |
  `static int` | `ERR_INVALID_DATA_V1` |
  `static int` | `ERR_INVALID_FUEL_PLU` |
  `static int` | `ERR_INVALID_INVOICE_RANGE` |
  `static int` | `ERR_INVALID_PASSWORD` |
  `static int` | `ERR_INVALID_REQUEST` |
  `static int` | `ERR_INVALID_SERIAL_NUMBER` |
  `static int` | `ERR_INVALID_VAT_GROUP` |
  `static int` | `ERR_INVOICE_INFO_PRINTED` |
  `static int` | `ERR_IS_FISCALISED` |
  `static int` | `ERR_IS_INVOICE` |
  `static int` | `ERR_IS_NOT_INVOICE` |
  `static int` | `ERR_JNL_BUFFER_FULL` |
  `static int` | `ERR_JOURNAL_NEAR_END` |
  `static int` | `ERR_LESS_HEADER_LINES` |
  `static int` | `ERR_LINE_TOO_LONG` |
  `static int` | `ERR_MATH_OVERFLOW` |
  `static int` | `ERR_MODEM_BUSY` |
  `static int` | `ERR_MODEM_NOT_RESPONDING` |
  `static int` | `ERR_NEGATIVE_TOTAL` |
  `static int` | `ERR_NO_ACCESS_TO_DISPLAY` |
  `static int` | `ERR_NO_ACTIVE_VAT_RATES` |
  `static int` | `ERR_NO_CHANGE_ALLOWED` |
  `static int` | `ERR_NO_CRYPTED_FW` |
  `static int` | `ERR_NO_DATA_FOR_COPY` |
  `static int` | `ERR_NO_FM_RESPONSE` |
  `static int` | `ERR_NO_FREE_PLUS` |
  `static int` | `ERR_NO_INVOICE_INFO` |
  `static int` | `ERR_NO_INVOICE_NUMBER` |
  `static int` | `ERR_NO_RECORDS_IN_FM` |
  `static int` | `ERR_NO_SHIFT_STARED` |
  `static int` | `ERR_NO_SIM_CARD` |
  `static int` | `ERR_NO_START_COMMAND` |
  `static int` | `ERR_NO_TEXT_LINES` |
  `static int` | `ERR_NONCASH_PAYD_ALREADY` |
  `static int` | `ERR_NONZERO_DPT_DATA` |
  `static int` | `ERR_NONZERO_OPERATOR_DATA` |
  `static int` | `ERR_NONZERO_PAY_DATA` |
  `static int` | `ERR_NONZERO_PLU_DATA` |
  `static int` | `ERR_NOT_ENOUGH_CASH` |
  `static int` | `ERR_NOT_FISCALISED` |
  `static int` | `ERR_NOT_GASSTATION` |
  `static int` | `ERR_NOT_IN_SERVICE_MODE` |
  `static int` | `ERR_NOT_PERMITTED` |
  `static int` | `ERR_NOT_REGISTERED` |
  `static int` | `ERR_OUTSIDE_INVOICE_RANGE` |
  `static int` | `ERR_PAPER_END` |
  `static int` | `ERR_PAPER_WIDTH_DIFFERENT` |
  `static int` | `ERR_PAYMENT_NOT_DEFINED` |
  `static int` | `ERR_PAYMENT_STARTED` |
  `static int` | `ERR_PLU_NOT_EXISTS` |
  `static int` | `ERR_PLU_SOLD_IN_RECEIPT` |
  `static int` | `ERR_PRESENTER_ERROR` |
  `static int` | `ERR_PRINTER_IS_BLOCKED` |
  `static int` | `ERR_PROBABLY_WRONG_TIME` |
  `static int` | `ERR_RECEIPT_IS_OPEN` |
  `static int` | `ERR_RECEIPT_NOT_OPEN` |
  `static int` | `ERR_SER_NUM_ALREADY_SET` |
  `static int` | `ERR_SERIAL_NUMBER_NOT_SET` |
  `static int` | `ERR_SHIFT_IS_STARED` |
  `static int` | `ERR_SHIFT_OVER_24H` |
  `static int` | `ERR_SIM_CARD_CHANGED` |
  `static int` | `ERR_SYNTAX` |
  `static int` | `ERR_TAX_NUMBER_NOT_SET` |
  `static int` | `ERR_TERMINAL_ERROR` |
  `static int` | `ERR_TIME_BEFORE_EJ_TIME` |
  `static int` | `ERR_TIME_BEFORE_FM_TIME` |
  `static int` | `ERR_TOO_MANY_DEPARTMENTS` |
  `static int` | `ERR_TOO_MANY_FUEL_SALES` |
  `static int` | `ERR_TOO_MANY_RECORDS` |
  `static int` | `ERR_TOO_MANY_SALES` |
  `static int` | `ERR_TOO_MANY_TEXT_LINES` |
  `static int` | `ERR_TOTAL_NOT_PAID` |
  `static int` | `ERR_TRANSACTION_DENIED` |
  `static int` | `ERR_UNP_DECREASE` |
  `static int` | `ERR_UNP_MISSING` |
  `static int` | `ERR_UNP_OVERFLOW` |
  `static int` | `ERR_VAT_NOT_PERMITED` |
  `static int` | `ERR_VAT_RATES_NOT_SET` |
  `static int` | `ERR_VOID_AFTER_PAY_OR_SD` |
  `static int` | `ERR_VOID_NONEXISTING_SALE` |
  `static int` | `ERR_WRONG_FW` |
  `static int` | `ERR_WRONG_INVOICE_NUMBER` |
  `static int` | `ERR_WRONG_STORNO_DATE` |
  `static int` | `ERR_ZERO_PRICE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalExceptionV1​(int errorCode, int errorLanguage)` |
  `FiscalExceptionV1​(int errorCode, java.lang.String additionMessage)` |
  `FiscalExceptionV1​(java.lang.String errorMessage)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getErrorMessage()` |
  `static java.lang.String` | `getErrorMessage​(int errorCode, int msgLanguage)` |
  `static java.lang.String` | `getMsgSeparator()` |
  `static java.lang.String` | `locale​(int errorCode, int msgLanguage)` |
  `static void` | `setMsgSeparator​(java.lang.String msgSeparator)` |

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ERR_SYNTAX

    public static final int ERR_SYNTAX
    See Also:
      Constant Field Values

  - ### ERR_INVALID_COMMAND

    public static final int ERR_INVALID_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_NOT_PERMITTED

    public static final int ERR_NOT_PERMITTED
    See Also:
      Constant Field Values

  - ### ERR_PRINTER_IS_BLOCKED

    public static final int ERR_PRINTER_IS_BLOCKED
    See Also:
      Constant Field Values

  - ### ERR_DATETIME_NOT_SET

    public static final int ERR_DATETIME_NOT_SET
    See Also:
      Constant Field Values

  - ### ERR_PAPER_END

    public static final int ERR_PAPER_END
    See Also:
      Constant Field Values

  - ### ERR_EL_JOURNAL_ERROR

    public static final int ERR_EL_JOURNAL_ERROR
    See Also:
      Constant Field Values

  - ### ERR_MATH_OVERFLOW

    public static final int ERR_MATH_OVERFLOW
    See Also:
      Constant Field Values

  - ### ERR_INVALID_PASSWORD

    public static final int ERR_INVALID_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_LESS_HEADER_LINES

    public static final int ERR_LESS_HEADER_LINES
    See Also:
      Constant Field Values

  - ### ERR_INVALID_SERIAL_NUMBER

    public static final int ERR_INVALID_SERIAL_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_INVALID_DATA_V1

    public static final int ERR_INVALID_DATA_V1
    See Also:
      Constant Field Values

  - ### ERR_INVALID_REQUEST

    public static final int ERR_INVALID_REQUEST
    See Also:
      Constant Field Values

  - ### ERR_CUTTER_ERROR

    public static final int ERR_CUTTER_ERROR
    See Also:
      Constant Field Values

  - ### ERR_PRESENTER_ERROR

    public static final int ERR_PRESENTER_ERROR
    See Also:
      Constant Field Values

  - ### ERR_CONTAINS_FISCAL

    public static final int ERR_CONTAINS_FISCAL
    See Also:
      Constant Field Values

  - ### ERR_WRONG_INVOICE_NUMBER

    public static final int ERR_WRONG_INVOICE_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_UNP_MISSING

    public static final int ERR_UNP_MISSING
    See Also:
      Constant Field Values

  - ### ERR_UNP_OVERFLOW

    public static final int ERR_UNP_OVERFLOW
    See Also:
      Constant Field Values

  - ### ERR_UNP_DECREASE

    public static final int ERR_UNP_DECREASE
    See Also:
      Constant Field Values

  - ### ERR_RECEIPT_IS_OPEN

    public static final int ERR_RECEIPT_IS_OPEN
    See Also:
      Constant Field Values

  - ### ERR_RECEIPT_NOT_OPEN

    public static final int ERR_RECEIPT_NOT_OPEN
    See Also:
      Constant Field Values

  - ### ERR_SHIFT_IS_STARED

    public static final int ERR_SHIFT_IS_STARED
    See Also:
      Constant Field Values

  - ### ERR_NO_SHIFT_STARED

    public static final int ERR_NO_SHIFT_STARED
    See Also:
      Constant Field Values

  - ### ERR_SHIFT_OVER_24H

    public static final int ERR_SHIFT_OVER_24H
    See Also:
      Constant Field Values

  - ### ERR_TIME_BEFORE_FM_TIME

    public static final int ERR_TIME_BEFORE_FM_TIME
    See Also:
      Constant Field Values

  - ### ERR_TIME_BEFORE_EJ_TIME

    public static final int ERR_TIME_BEFORE_EJ_TIME
    See Also:
      Constant Field Values

  - ### ERR_PROBABLY_WRONG_TIME

    public static final int ERR_PROBABLY_WRONG_TIME
    See Also:
      Constant Field Values

  - ### ERR_NOT_IN_SERVICE_MODE

    public static final int ERR_NOT_IN_SERVICE_MODE
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_READ_EJ

    public static final int ERR_CANNOT_READ_EJ
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_WRITE_EJ

    public static final int ERR_CANNOT_WRITE_EJ
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_FORMAT_EJ

    public static final int ERR_CANNOT_FORMAT_EJ
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_OPEN_DOCUMENT

    public static final int ERR_CANNOT_OPEN_DOCUMENT
    See Also:
      Constant Field Values

  - ### ERR_NO_ACCESS_TO_DISPLAY

    public static final int ERR_NO_ACCESS_TO_DISPLAY
    See Also:
      Constant Field Values

  - ### ERR_JOURNAL_NEAR_END

    public static final int ERR_JOURNAL_NEAR_END
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_FORMAT_VALID_EJ

    public static final int ERR_CANNOT_FORMAT_VALID_EJ
    See Also:
      Constant Field Values

  - ### ERR_EJ_NUMBER_TOO_BIG

    public static final int ERR_EJ_NUMBER_TOO_BIG
    See Also:
      Constant Field Values

  - ### ERR_EJ_DOC_NOT_FOUND

    public static final int ERR_EJ_DOC_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_PAPER_WIDTH_DIFFERENT

    public static final int ERR_PAPER_WIDTH_DIFFERENT
    See Also:
      Constant Field Values

  - ### ERR_JNL_BUFFER_FULL

    public static final int ERR_JNL_BUFFER_FULL
    See Also:
      Constant Field Values

  - ### ERR_FM_NOT_FORMATTED

    public static final int ERR_FM_NOT_FORMATTED
    See Also:
      Constant Field Values

  - ### ERR_SERIAL_NUMBER_NOT_SET

    public static final int ERR_SERIAL_NUMBER_NOT_SET
    See Also:
      Constant Field Values

  - ### ERR_TAX_NUMBER_NOT_SET

    public static final int ERR_TAX_NUMBER_NOT_SET
    See Also:
      Constant Field Values

  - ### ERR_VAT_RATES_NOT_SET

    public static final int ERR_VAT_RATES_NOT_SET
    See Also:
      Constant Field Values

  - ### ERR_NO_ACTIVE_VAT_RATES

    public static final int ERR_NO_ACTIVE_VAT_RATES
    See Also:
      Constant Field Values

  - ### ERR_NOT_FISCALISED

    public static final int ERR_NOT_FISCALISED
    See Also:
      Constant Field Values

  - ### ERR_IS_FISCALISED

    public static final int ERR_IS_FISCALISED
    See Also:
      Constant Field Values

  - ### ERR_NO_RECORDS_IN_FM

    public static final int ERR_NO_RECORDS_IN_FM
    See Also:
      Constant Field Values

  - ### ERR_NO_FM_RESPONSE

    public static final int ERR_NO_FM_RESPONSE
    See Also:
      Constant Field Values

  - ### ERR_TOO_MANY_RECORDS

    public static final int ERR_TOO_MANY_RECORDS
    See Also:
      Constant Field Values

  - ### ERR_SER_NUM_ALREADY_SET

    public static final int ERR_SER_NUM_ALREADY_SET
    See Also:
      Constant Field Values

  - ### ERR_FM_READ_ONLY

    public static final int ERR_FM_READ_ONLY
    See Also:
      Constant Field Values

  - ### ERR_FM_DISCONNECTED

    public static final int ERR_FM_DISCONNECTED
    See Also:
      Constant Field Values

  - ### ERR_FM_READ_ERROR

    public static final int ERR_FM_READ_ERROR
    See Also:
      Constant Field Values

  - ### ERR_PLU_NOT_EXISTS

    public static final int ERR_PLU_NOT_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_DPT_NOT_EXISTS

    public static final int ERR_DPT_NOT_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_INVALID_VAT_GROUP

    public static final int ERR_INVALID_VAT_GROUP
    See Also:
      Constant Field Values

  - ### ERR_VAT_NOT_PERMITED

    public static final int ERR_VAT_NOT_PERMITED
    See Also:
      Constant Field Values

  - ### ERR_TOO_MANY_SALES

    public static final int ERR_TOO_MANY_SALES
    See Also:
      Constant Field Values

  - ### ERR_VOID_AFTER_PAY_OR_SD

    public static final int ERR_VOID_AFTER_PAY_OR_SD
    See Also:
      Constant Field Values

  - ### ERR_NEGATIVE_TOTAL

    public static final int ERR_NEGATIVE_TOTAL
    See Also:
      Constant Field Values

  - ### ERR_DISCOUNT_TOO_BIG

    public static final int ERR_DISCOUNT_TOO_BIG
    See Also:
      Constant Field Values

  - ### ERR_VOID_NONEXISTING_SALE

    public static final int ERR_VOID_NONEXISTING_SALE
    See Also:
      Constant Field Values

  - ### ERR_PAYMENT_STARTED

    public static final int ERR_PAYMENT_STARTED
    See Also:
      Constant Field Values

  - ### ERR_PAYMENT_NOT_DEFINED

    public static final int ERR_PAYMENT_NOT_DEFINED
    See Also:
      Constant Field Values

  - ### ERR_EVERYTHING_IS_PAID

    public static final int ERR_EVERYTHING_IS_PAID
    See Also:
      Constant Field Values

  - ### ERR_TOTAL_NOT_PAID

    public static final int ERR_TOTAL_NOT_PAID
    See Also:
      Constant Field Values

  - ### ERR_NOT_ENOUGH_CASH

    public static final int ERR_NOT_ENOUGH_CASH
    See Also:
      Constant Field Values

  - ### ERR_CASH_ONLY_ALLOWED

    public static final int ERR_CASH_ONLY_ALLOWED
    See Also:
      Constant Field Values

  - ### ERR_NO_CHANGE_ALLOWED

    public static final int ERR_NO_CHANGE_ALLOWED
    See Also:
      Constant Field Values

  - ### ERR_NONZERO_OPERATOR_DATA

    public static final int ERR_NONZERO_OPERATOR_DATA
    See Also:
      Constant Field Values

  - ### ERR_NONZERO_PLU_DATA

    public static final int ERR_NONZERO_PLU_DATA
    See Also:
      Constant Field Values

  - ### ERR_NONZERO_DPT_DATA

    public static final int ERR_NONZERO_DPT_DATA
    See Also:
      Constant Field Values

  - ### ERR_NO_FREE_PLUS

    public static final int ERR_NO_FREE_PLUS
    See Also:
      Constant Field Values

  - ### ERR_TOO_MANY_TEXT_LINES

    public static final int ERR_TOO_MANY_TEXT_LINES
    See Also:
      Constant Field Values

  - ### ERR_NO_TEXT_LINES

    public static final int ERR_NO_TEXT_LINES
    See Also:
      Constant Field Values

  - ### ERR_NONZERO_PAY_DATA

    public static final int ERR_NONZERO_PAY_DATA
    See Also:
      Constant Field Values

  - ### ERR_PLU_SOLD_IN_RECEIPT

    public static final int ERR_PLU_SOLD_IN_RECEIPT
    See Also:
      Constant Field Values

  - ### ERR_INVALID_FUEL_PLU

    public static final int ERR_INVALID_FUEL_PLU
    See Also:
      Constant Field Values

  - ### ERR_ALLOWED_AS_PLU_ONLY

    public static final int ERR_ALLOWED_AS_PLU_ONLY
    See Also:
      Constant Field Values

  - ### ERR_NOT_GASSTATION

    public static final int ERR_NOT_GASSTATION
    See Also:
      Constant Field Values

  - ### ERR_TOO_MANY_DEPARTMENTS

    public static final int ERR_TOO_MANY_DEPARTMENTS
    See Also:
      Constant Field Values

  - ### ERR_NO_DATA_FOR_COPY

    public static final int ERR_NO_DATA_FOR_COPY
    See Also:
      Constant Field Values

  - ### ERR_FUEL_STORNO

    public static final int ERR_FUEL_STORNO
    See Also:
      Constant Field Values

  - ### ERR_WRONG_STORNO_DATE

    public static final int ERR_WRONG_STORNO_DATE
    See Also:
      Constant Field Values

  - ### ERR_ZERO_PRICE

    public static final int ERR_ZERO_PRICE
    See Also:
      Constant Field Values

  - ### ERR_TOO_MANY_FUEL_SALES

    public static final int ERR_TOO_MANY_FUEL_SALES
    See Also:
      Constant Field Values

  - ### ERR_NONCASH_PAYD_ALREADY

    public static final int ERR_NONCASH_PAYD_ALREADY
    See Also:
      Constant Field Values

  - ### ERR_TRANSACTION_DENIED

    public static final int ERR_TRANSACTION_DENIED
    See Also:
      Constant Field Values

  - ### ERR_NOT_REGISTERED

    public static final int ERR_NOT_REGISTERED
    See Also:
      Constant Field Values

  - ### ERR_NO_INVOICE_NUMBER

    public static final int ERR_NO_INVOICE_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_OUTSIDE_INVOICE_RANGE

    public static final int ERR_OUTSIDE_INVOICE_RANGE
    See Also:
      Constant Field Values

  - ### ERR_INVALID_INVOICE_RANGE

    public static final int ERR_INVALID_INVOICE_RANGE
    See Also:
      Constant Field Values

  - ### ERR_NO_INVOICE_INFO

    public static final int ERR_NO_INVOICE_INFO
    See Also:
      Constant Field Values

  - ### ERR_INVOICE_INFO_PRINTED

    public static final int ERR_INVOICE_INFO_PRINTED
    See Also:
      Constant Field Values

  - ### ERR_IS_NOT_INVOICE

    public static final int ERR_IS_NOT_INVOICE
    See Also:
      Constant Field Values

  - ### ERR_TERMINAL_ERROR

    public static final int ERR_TERMINAL_ERROR
    See Also:
      Constant Field Values

  - ### ERR_MODEM_NOT_RESPONDING

    public static final int ERR_MODEM_NOT_RESPONDING
    See Also:
      Constant Field Values

  - ### ERR_MODEM_BUSY

    public static final int ERR_MODEM_BUSY
    See Also:
      Constant Field Values

  - ### ERR_NO_SIM_CARD

    public static final int ERR_NO_SIM_CARD
    See Also:
      Constant Field Values

  - ### ERR_SIM_CARD_CHANGED

    public static final int ERR_SIM_CARD_CHANGED
    See Also:
      Constant Field Values

  - ### ERR_FUEL_DATA_INVALID

    public static final int ERR_FUEL_DATA_INVALID
    See Also:
      Constant Field Values

  - ### ERR_NO_START_COMMAND

    public static final int ERR_NO_START_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_NO_CRYPTED_FW

    public static final int ERR_NO_CRYPTED_FW
    See Also:
      Constant Field Values

  - ### ERR_FW_TOO_BIG

    public static final int ERR_FW_TOO_BIG
    See Also:
      Constant Field Values

  - ### ERR_BEGIN_CMD_NEEDED

    public static final int ERR_BEGIN_CMD_NEEDED
    See Also:
      Constant Field Values

  - ### ERR_END_CMD_NEEDED

    public static final int ERR_END_CMD_NEEDED
    See Also:
      Constant Field Values

  - ### ERR_LINE_TOO_LONG

    public static final int ERR_LINE_TOO_LONG
    See Also:
      Constant Field Values

  - ### ERR_IS_INVOICE

    public static final int ERR_IS_INVOICE
    See Also:
      Constant Field Values

  - ### ERR_WRONG_FW

    public static final int ERR_WRONG_FW
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FiscalExceptionV1

    public FiscalExceptionV1​(java.lang.String errorMessage)

  - ### FiscalExceptionV1

    public FiscalExceptionV1​(int errorCode, java.lang.String additionMessage)

  - ### FiscalExceptionV1

    public FiscalExceptionV1​(int errorCode, int errorLanguage)
    Parameters:
      `errorCode` -

- ## Method Details

  - ### getMsgSeparator

    public static java.lang.String getMsgSeparator()

  - ### setMsgSeparator

    public static void setMsgSeparator​(java.lang.String msgSeparator)

  - ### getErrorMessage

    public static java.lang.String getErrorMessage​(int errorCode, int msgLanguage)

  - ### getErrorMessage

    public java.lang.String getErrorMessage()

  - ### locale

    public static java.lang.String locale​(int errorCode, int msgLanguage)